## linux-meta-nvidia-tegra 6.8.0-1010.10

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1010.10) noble; urgency=medium

  * Main version: 6.8.0-1010.10

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  * n/nvidia-tegra: Migrate embargoed patches from n/nvidia-tegra-pvw
    (LP: #2120190)
    - Revert "UBUNTU: [Packaging] Remove tegra-oot package dependencies"
    - [Packaging] Use jetson branch as default

 -- Noah Wager <noah.wager@canonical.com>  Wed, 03 Sep 2025 08:55:12 -0700
