=== debian/control ===
Source: linux-meta-nvidia-tegra
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
Build-Depends-Arch:
 linux-nvidia-tegra-headers-6.8.0-1010,
 linux-headers-6.8.0-1010-nvidia-tegra,
 linux-modules-6.8.0-1010-nvidia-tegra,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-tegra/+git/noble

Package: linux-headers-nvidia-tegra-6.8
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel headers for nvidia-tegra systems.
 This package will always depend on the latest kernel headers available
 for nvidia-tegra systems.

Package: linux-image-nvidia-tegra-6.8
Architecture: arm64
Section: kernel
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends:
 ${misc:Depends},
 linux-image-${kernel-abi-version}-nvidia-tegra,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra, linux-firmware,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel image for nvidia-tegra systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra systems.

Package: linux-image-uc-nvidia-tegra-6.8
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-nvidia-tegra,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra,
 linux-modules-tegra-igpu${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra,
 linux-firmware, wireless-regdb
Description: Linux kernel image for Ubuntu Core on nvidia-tegra systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra systems.
 .
 This kernel is suitable for staging into a kernel snap, and is not
 suitable to be used directly on classic systems.

Package: linux-tools-nvidia-tegra-6.8
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel versioned tools for nvidia-tegra systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for nvidia-tegra systems.

Package: linux-nvidia-tegra-6.8
Architecture: arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-tegra--full--nvidia-tegra, kernel-testing--linux-nvidia-tegra--full--preferred,
Depends:
 ${misc:Depends},
 linux-nvidia-tegra${kernel-default-branch} (>= ${kernel-upload-version}),
 linux-nvidia-tegra${kernel-default-branch} (<= ${kernel-upload-version}+99),
Description: Complete Linux kernel for nvidia-tegra systems.
 This package will always depend on the latest complete Linux kernel available
 for nvidia-tegra systems.

Package: linux-headers-nvidia-tegra
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel headers for nvidia-tegra systems.
 This package will always depend on the latest kernel headers available
 for nvidia-tegra systems.

Package: linux-image-nvidia-tegra
Architecture: arm64
Section: kernel
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends:
 ${misc:Depends},
 linux-image-${kernel-abi-version}-nvidia-tegra,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra, linux-firmware,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel image for nvidia-tegra systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra systems.

Package: linux-image-uc-nvidia-tegra
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-nvidia-tegra,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra,
 linux-modules-tegra-igpu${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra,
 linux-firmware, wireless-regdb
Description: Linux kernel image for Ubuntu Core on nvidia-tegra systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra systems.
 .
 This kernel is suitable for staging into a kernel snap, and is not
 suitable to be used directly on classic systems.

Package: linux-tools-nvidia-tegra
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel versioned tools for nvidia-tegra systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for nvidia-tegra systems.

Package: linux-nvidia-tegra
Architecture: arm64
Section: kernel
Provides:  
Depends:
 ${misc:Depends},
 linux-nvidia-tegra${kernel-default-branch} (>= ${kernel-upload-version}),
 linux-nvidia-tegra${kernel-default-branch} (<= ${kernel-upload-version}+99),
Description: Complete Linux kernel for nvidia-tegra systems.
 This package will always depend on the latest complete Linux kernel available
 for nvidia-tegra systems.

Package: linux-headers-nvidia-tegra-rt-6.8
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-tegra-rt
Description: Linux kernel headers for nvidia-tegra-rt systems.
 This package will always depend on the latest kernel headers available
 for nvidia-tegra-rt systems.

Package: linux-image-nvidia-tegra-rt-6.8
Architecture: arm64
Section: kernel
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends:
 ${misc:Depends},
 linux-image-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra-rt, linux-firmware,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel image for nvidia-tegra-rt systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra-rt systems.

Package: linux-image-uc-nvidia-tegra-rt-6.8
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-tegra-igpu${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra-rt,
 linux-firmware, wireless-regdb
Description: Linux kernel image for Ubuntu Core on nvidia-tegra-rt systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra-rt systems.
 .
 This kernel is suitable for staging into a kernel snap, and is not
 suitable to be used directly on classic systems.

Package: linux-tools-nvidia-tegra-rt-6.8
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-tegra-rt
Description: Linux kernel versioned tools for nvidia-tegra-rt systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for nvidia-tegra-rt systems.

Package: linux-nvidia-tegra-rt-6.8
Architecture: arm64
Section: kernel
Provides: kernel-testing--linux-nvidia-tegra--full--nvidia-tegra-rt, kernel-testing--linux-nvidia-tegra--full--preferred,
Depends:
 ${misc:Depends},
 linux-nvidia-tegra-rt${kernel-default-branch} (>= ${kernel-upload-version}),
 linux-nvidia-tegra-rt${kernel-default-branch} (<= ${kernel-upload-version}+99),
Description: Complete Linux kernel for nvidia-tegra-rt systems.
 This package will always depend on the latest complete Linux kernel available
 for nvidia-tegra-rt systems.

Package: linux-headers-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-tegra-rt
Description: Linux kernel headers for nvidia-tegra-rt systems.
 This package will always depend on the latest kernel headers available
 for nvidia-tegra-rt systems.

Package: linux-image-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Depends:
 ${misc:Depends},
 linux-image-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra-rt, linux-firmware,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra
Description: Linux kernel image for nvidia-tegra-rt systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra-rt systems.

Package: linux-image-uc-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-extra-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-tegra-oot${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra-rt,
 linux-modules-tegra-igpu${kernel-default-branch}-${kernel-abi-version}-nvidia-tegra-rt,
 linux-firmware, wireless-regdb
Description: Linux kernel image for Ubuntu Core on nvidia-tegra-rt systems.
 This package will always depend on the latest kernel image available
 for nvidia-tegra-rt systems.
 .
 This kernel is suitable for staging into a kernel snap, and is not
 suitable to be used directly on classic systems.

Package: linux-tools-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-tegra-rt
Description: Linux kernel versioned tools for nvidia-tegra-rt systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for nvidia-tegra-rt systems.

Package: linux-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Provides:  
Depends:
 ${misc:Depends},
 linux-nvidia-tegra-rt${kernel-default-branch} (>= ${kernel-upload-version}),
 linux-nvidia-tegra-rt${kernel-default-branch} (<= ${kernel-upload-version}+99),
Description: Complete Linux kernel for nvidia-tegra-rt systems.
 This package will always depend on the latest complete Linux kernel available
 for nvidia-tegra-rt systems.
