## linux-meta-nvidia-tegra 6.8.0-1012.12

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1012.12) noble; urgency=medium

  * Main version: 6.8.0-1012.12

 -- Noah Wager <noah.wager@canonical.com>  Thu, 16 Oct 2025 08:07:17 -0700
