## linux-meta-nvidia-tegra 6.8.0-1013.13

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1013.13) noble; urgency=medium

  * Main version: 6.8.0-1013.13

 -- Noah Wager <noah.wager@canonical.com>  Thu, 13 Nov 2025 08:36:58 -0800
