## linux-meta-nvidia-tegra 6.8.0-1014.14

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1014.14) noble; urgency=medium

  * Main version: 6.8.0-1014.14

 -- Noah Wager <noah.wager@canonical.com>  Thu, 18 Dec 2025 17:35:48 -0800
