=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-nvidia-tegra-headers-6.8.0-1013,
- linux-headers-6.8.0-1013-nvidia-tegra,
- linux-modules-6.8.0-1013-nvidia-tegra,
+ linux-nvidia-tegra-headers-6.8.0-1014,
+ linux-headers-6.8.0-1014-nvidia-tegra,
+ linux-modules-6.8.0-1014-nvidia-tegra,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-tegra/+git/noble
 
 Package: linux-headers-nvidia-tegra-6.8
