## linux-meta-nvidia-tegra 6.8.0-1016.16

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1016.16) noble; urgency=medium

  * Main version: 6.8.0-1016.16

 -- Noah Wager <noah.wager@canonical.com>  Fri, 06 Feb 2026 12:26:11 -0800
