## linux-meta-nvidia-tegra 6.8.0-1019.19

=== debian/changelog ===
linux-meta-nvidia-tegra (6.8.0-1019.19) noble; urgency=medium

  * Main version: 6.8.0-1019.19

 -- Noah Wager <noah.wager@canonical.com>  Sat, 28 Feb 2026 19:27:08 -0800
